//
//  PCEvent.h
//  PanicCore
//
//  Created by Garrett Moon on 9/22/10.
//  Copyright 2010 Panic. All rights reserved.
//

#if TARGET_OS_IPHONE
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#else
#import <Cocoa/Cocoa.h>
#endif

@class PCView;

#if TARGET_OS_IPHONE
#define PCEvent UIEvent
#else
#define PCEvent NSEvent
#endif

#if TARGET_OS_IPHONE
@interface UIEvent (PlatformAdditions)
#else
@interface NSEvent (PlatformAdditions)
#endif
    
- (CGPoint)locationInView:(PCView *)aView;

@end
