#import <Foundation/Foundation.h>
#import "CKBezierPath.h"

#if !TARGET_OS_IPHONE
#import <AppKit/AppKit.h>

@interface NSBezierPath (Fill)

- (void)fillWithInnerShadow:(NSShadow *)shadow;
- (void)pc_fillFlipped;
- (void)pc_fillAtPoint:(NSPoint)origin;
- (void)pc_fillFlippedAtPoint:(NSPoint)origin;

@end

#else

#import <UIKit/UIKit.h>

@interface UIBezierPath (Fill)

- (void)pc_fillWithInnerShadow:(NSShadow *)shadow;

@end

#endif


@interface CKBezierPath (Fill)

- (void)pc_fillWithInnerShadow:(NSShadow *)shadow;

@end
