#import <Cocoa/Cocoa.h>

@class PCAccessoryWindow;

@protocol PCAccessoryWindowDelegateProtocol
@required

- (void)accessoryWindowShouldClose:(PCAccessoryWindow*)window;

@end


@interface PCAccessoryWindow : NSPanel
{
@private
	BOOL iOptionKeyDown;
    BOOL iEventsDisabled;
}

@property(assign, getter=isOptionKeyDown) BOOL optionKeyDown;
@property(assign, getter=isEventsDisabled) BOOL eventsDisabled;

- (PCAccessoryWindow*)initWithMainView:(NSView*)aView;
- (PCAccessoryWindow*)initWithFrame:(NSRect)frame;

- (void)sendCloseCallback;

@end
