#import <Cocoa/Cocoa.h>
#import "PCPathControl.h"
#import "Protocols.h"

#define kGradientPathControlHeight 24.0

@interface PCGradientPathControl : PCPathControl
@end


@interface PCGradientPathCell : PCPathCell
@end


@interface PCGradientPathComponentCell : PCPathComponentCell

+ (NSImage*)backgroundFill;
+ (void)buildControlImages;
+ (void)buildColorControlImages:(BOOL)inactive;
+ (void)resetControlImages;

@end