#import <Cocoa/Cocoa.h>

/*
 *  PCIconServices.h
 *
 *  Requires Mac OS X 10.4 or higher
 *
 *	A general wrapper for the Icon Manager and Icon Services API with code from IconFamily class.
 *	Allows the user to generate an IconRef from a given set of images.
 *
 *	-------------------------------------------------------------------
 *
 *
 */

@interface PCIconServices : NSObject

+ (IconRef)iconRefFromICNSFile:(NSString*)path; // returns a retained icon ref, user should release when done

@end




