//
//  PCSoapBoxWindowController.h
//  PanicCore
//
//  Created by Wade Cosgrove on 2/14/14.
//  Copyright (c) 2014 Panic Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class PCGradientButton;
@class PCSoapBox;
@class WebView;

@interface PCSoapBoxWindowController : NSWindowController
{
	IBOutlet PCGradientButton *_continueButton;
	IBOutlet PCGradientButton *_actionButton;
	IBOutlet WebView *_webView;
}

- (id)initWithSoapBoxResponse:(PCSoapBox*)soapBox;

- (IBAction)actionButtonClicked:(id)sender;

- (void)setContinueCaption:(NSString*)caption;

@end
